KToolBarPopupAction Class Reference

`#include <kactionclasses.h>`

Inheritance diagram for KToolBarPopupAction:

## Public Member Functions

| KToolBarPopupAction (const QString &text, const QString &icon, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToolBarPopupAction (const QString &text, const QString &icon, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent=0, const char *name=0)
| KToolBarPopupAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
virtual int | plug (QWidget *widget, int index=-1)
KPopupMenu * | popupMenu () const
bool | delayed () const
void | setDelayed (bool delayed)
bool | stickyMenu () const
void | setStickyMenu (bool sticky)
Public Member Functions inherited from KAction
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (QObject *parent=0, const char *name=0)
virtual | ~KAction ()
virtual void | plugAccel (KAccel *accel, bool configurable=true) KDE_DEPRECATED
virtual void | unplug (QWidget *w)
virtual void | unplugAccel () KDE_DEPRECATED
virtual bool | isPlugged () const
bool | isPlugged (const QWidget *container) const
virtual bool | isPlugged (const QWidget *container, int id) const
virtual bool | isPlugged (const QWidget *container, const QWidget *_representative) const
QWidget * | container (int index) const
int | itemId (int index) const
QWidget * | representative (int index) const
int | containerCount () const
uint | kaccelCount () const
virtual bool | hasIcon () const
bool | hasIconSet () const
virtual QString | plainText () const
virtual QString | text () const
virtual const KShortcut & | shortcut () const
virtual const KShortcut & | shortcutDefault () const
QString | shortcutText () const
void | setShortcutText (const QString &)
virtual bool | isEnabled () const
virtual bool | isShortcutConfigurable () const
virtual QString | group () const
virtual QString | whatsThis () const
virtual QString | toolTip () const
virtual QIconSet | iconSet (KIcon::Group group, int size=0) const
QIconSet | iconSet () const
virtual QString | icon () const
KActionCollection * | parentCollection () const
void | unplugAll ()
int | accel () const KDE_DEPRECATED
QString | statusText () const
void | setAccel (int key) KDE_DEPRECATED
void | setStatusText (const QString &text)
int | menuId (int i)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KAction
KToolBar * | toolBar (int index) const
QPopupMenu * | popupMenu (int index) const
void | removeContainer (int index)
int | findContainer (const QWidget *widget) const
int | findContainer (int id) const
void | plugMainWindowAccel (QWidget *w)
void | addContainer (QWidget *parent, int id)
void | addContainer (QWidget *parent, QWidget *representative)
virtual void | updateShortcut (int i)
virtual void | updateShortcut (QPopupMenu *menu, int id)
virtual void | updateGroup (int id)
virtual void | updateText (int i)
virtual void | updateEnabled (int i)
virtual void | updateIconSet (int i)
virtual void | updateIcon (int i)
virtual void | updateToolTip (int id)
virtual void | updateWhatsThis (int i)
QString | whatsThisWithIcon () const
const KGuiItem & | guiItem () const

## Properties

bool | delayed
bool | stickyMenu
Properties inherited from KAction
int | containerCount
QString | plainText
QString | text
QString | shortcut
bool | enabled
QString | group
QString | whatsThis
QString | toolTip
QString | icon

## Additional Inherited Members

Public Types inherited from KAction
enum | ActivationReason { UnknownActivation, EmulatedActivation, AccelActivation, PopupMenuActivation, ToolBarActivation }
Public Slots inherited from KAction
virtual void | setText (const QString &text)
virtual bool | setShortcut (const KShortcut &)
virtual void | setGroup (const QString &)
virtual void | setWhatsThis (const QString &text)
virtual void | setToolTip (const QString &)
virtual void | setIconSet (const QIconSet &iconSet)
virtual void | setIcon (const QString &icon)
virtual void | setEnabled (bool enable)
void | setDisabled (bool disable)
virtual void | setShortcutConfigurable (bool)
virtual void | activate ()
Signals inherited from KAction
void | activated ()
void | activated (KAction::ActivationReason reason, Qt::ButtonState state)
void | enabled (bool)
Static Public Member Functions inherited from KAction
static int | getToolButtonID ()
Protected Slots inherited from KAction
virtual void | slotDestroyed ()
virtual void | slotKeycodeChanged ()
virtual void | slotActivated ()
void | slotPopupActivated ()
void | slotButtonClicked (int, Qt::ButtonState state)
Protected Attributes inherited from KAction
KActionCollection * | m_parentCollection

## Detailed Description

This action is a normal action everywhere, except in a toolbar where it also has a popupmenu (optionnally delayed).

This action is designed for history actions (back/forward, undo/redo) and for any other action that has more detail in a toolbar than in a menu (e.g. tool chooser with "Other" leading to a dialog...).

Definition at line 1086 of file kactionclasses.h.

## Constructor & Destructor Documentation

KToolBarPopupAction::KToolBarPopupAction | ( | const QString & | text,
|  | const QString & | icon,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Create a KToolBarPopupAction, with a text, an icon, an optional accelerator, parent and name.

Parameters

  text | The text that will be displayed.
  icon | The icon to display.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 1862 of file kactionclasses.cpp.

KToolBarPopupAction::KToolBarPopupAction | ( | const QString & | text,
|  | const QString & | icon,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Create a KToolBarPopupAction, with a text, an icon, an accelerator, a slot connected to the action, parent and name.

If you do not want or have a keyboard accelerator, set the `cut` param to 0.

Parameters

  text | The text that will be displayed.
  icon | The icon to display.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's owner.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 1873 of file kactionclasses.cpp.

KToolBarPopupAction::KToolBarPopupAction | ( | const KGuiItem & | item,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |  |

Create a KToolBarPopupAction, with a KGuiItem, an accelerator, a slot connected to the action, parent and name.

The text and the icon are taken from the KGuiItem.

If you do not want or have a keyboard accelerator, set the `cut` param to 0.

Parameters

  item | The text and icon that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's owner.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 1886 of file kactionclasses.cpp.

## Member Function Documentation

bool KToolBarPopupAction::delayed | ( |  | ) | const

Returns true if this action creates a delayed popup menu when plugged in a KToolbar.

int KToolBarPopupAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) |  |

virtual

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KAction object.

Parameters

  widget | The GUI element to display this action
  index | The position into which the action is plugged. If this is negative, the action is inserted at the end.

Reimplemented from KAction.

Definition at line 1919 of file kactionclasses.cpp.

KPopupMenu * KToolBarPopupAction::popupMenu | ( |  | ) | const

The popup menu that is shown when clicking (some time) on the toolbar button.

You may want to plug items into it on creation, or connect to aboutToShow for a more dynamic menu.

Definition at line 1968 of file kactionclasses.cpp.

void KToolBarPopupAction::setDelayed | ( | bool | delayed | ) |

If set to true, this action will create a delayed popup menu when plugged in a KToolbar.

Otherwise it creates a normal popup. Default: delayed.

Definition at line 1907 of file kactionclasses.cpp.

void KToolBarPopupAction::setStickyMenu | ( | bool | sticky | ) |

If set to true, this action will create a sticky popup menu when plugged in a KToolbar.

"Sticky", means it's visible until a selection is made or the mouse is clicked elsewhere. This feature allows you to make a selection without having to press and hold down the mouse while making a selection. Only available if delayed() is true. Default: sticky.

Definition at line 1915 of file kactionclasses.cpp.

bool KToolBarPopupAction::stickyMenu | ( |  | ) | const

Returns true if this action creates a sticky popup menu.

See setStickyMenu().

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys